Artha API
  1. Transactions
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Card API Integration Flow
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Get Applicant KYC Status
      GET
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
    • Get Top-Up Status
    • Get Card Balance
    • List Top-Up History
  • Transactions
    • List All Transactions
      GET
    • List Card Transactions
      GET
    • List Customer Transactions
      GET
    • Get Transaction
      GET
  • Products
    • List Products
    • Get Product
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Transactions

Get Transaction

GET
/baseurl/api/v1/transactions/{transactionId}
Retrieves a single transaction by its unique ID.

Request

Path Params

Header Params

Responses

🟢200
application/json
Transaction retrieved.
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/baseurl/api/v1/transactions/' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;'
Response Response Example
{
    "transactionId": "c1a2b3d4-e5f6-4782-996c-db9b45c47a29",
    "cardId": "ef0c9071-f1d5-4782-996c-db9b45c47a29",
    "customerId": "49cf2793-9379-4d1b-9904-5b77aaa5693c",
    "originalTransactionId": null,
    "localCurrency": "INR",
    "localAmount": 2500,
    "authorizedAmount": 30,
    "authorizedCurrency": "USD",
    "authorizationCode": "AUTH123456",
    "authorizedAt": "2026-03-30T12:00:00Z",
    "fee": 10,
    "feeCurrency": "INR",
    "crossborderFee": 5,
    "crossborderFeeCurrency": "INR",
    "settleAmount": 2490,
    "settleCurrency": "INR",
    "settleDate": "2026-03-31T00:00:00Z",
    "merchantName": "Amazon",
    "merchantCategoryCode": "5311",
    "merchantCountry": "IN",
    "merchantCity": "Hyderabad",
    "type": "debit",
    "subType": "ecommerce",
    "status": "completed",
    "description": "Online purchase at Amazon"
}
Modified at 2026-03-31 11:53:55
Previous
List Customer Transactions
Next
List Products
Built with